Bug 1413 - [UPDATE REQUEST] [UPSTREAM UPDATE] firefox + firefox-l10n
: [UPDATE REQUEST] [UPSTREAM UPDATE] firefox + firefox-l10n
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 11:14 MSK by alexander barakin
Modified: 2013-02-02 22:03 MSK (History)
4 users (show)

See Also:
RPM Package: firefox + firefox-l10n
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
dmitry.romashkin: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alexander barakin 2013-01-10 11:14:46 MSK
upstream update from version 17.0 to version 17.0.1
Comment 2 Alexander Petryakov 2013-01-14 00:02:15 MSK
firefox-17.0.1-1
firefox-l10n-17.0.1-1
************** Advisory **************
upstream update to version 17.0.1
**************************************
QA Verified
Comment 3 Postnikov Dmitry 2013-02-02 17:58:06 MSK
Firefox is works, visually no crashes. However, in the log for segfault.
===========
[root@mindlife pastordi]# dmesg | grep firefox
[ 1012.155661] firefox[16014]: segfault at 73b92968 ip 00007f4c6fbf6de8 sp 00007fff6d50fe10 error 4 in libX11.so.6.3.0[7f4c6fbbe000+133000]
[ 2545.176832] firefox[1766]: segfault at 5ee92968 ip 00007f2f5aef6de8 sp 00007fff58779740 error 4 in libX11.so.6.3.0[7f2f5aebe000+133000]
[root@mindlife pastordi]#
[root@mindlife pastordi]# rpm -qa | grep -i -E "firefox|lidX11"
firefox-17.0.1-1-rosa2012.1.x86_64
firefox-en_GB-17.0.1-1-rosa2012.1.noarch
firefox-ru-17.0.1-1-rosa2012.1.noarch
[root@mindlife pastordi]#
===========
Comment 4 Postnikov Dmitry 2013-02-02 22:03:31 MSK
This only for start Firefox. Visually no crashes, work is normal.

dmesg message:
==========
[root@mindlife pastordi]# dmesg | grep firefox
[  357.043589] firefox[7815]: segfault at ffffffffe1c92968 ip 00007ff5ddcf6de8 sp 00007fff8824d970 error 4 in libX11.so.6.3.0[7ff5ddcbe000+133000]
[  659.969377] firefox[11792]: segfault at ffffffffb0592968 ip 00007ffaac5f6de8 sp 00007fffa7b4b530 error 4 in libX11.so.6.3.0[7ffaac5be000+133000]
[  819.816715] firefox[13696]: segfault at fffffffff6c92968 ip 00007ffff2cf6de8 sp 00007fffffffa120 error 4 in libX11.so.6.3.0[7ffff2cbe000+133000]
[  991.930195] firefox[15558]: segfault at fffffffff6c92968 ip 00007ffff2cf6de8 sp 00007fffffffa110 error 4 in libX11.so.6.3.0[7ffff2cbe000+133000]
[ 1053.547238] firefox[16177]: segfault at fffffffff6c92968 ip 00007ffff2cf6de8 sp 00007fffffffa120 error 4 in libX11.so.6.3.0[7ffff2cbe000+133000]
[ 1087.457840] firefox[16393]: segfault at fffffffff6c92968 ip 00007ffff2cf6de8 sp 00007fffffffa120 error 4 in libX11.so.6.3.0[7ffff2cbe000+133000]
[root@mindlife pastordi]#
==========

gbd message:
==========
[pastordi@mindlife ~]$ gdb firefox
GNU gdb (GDB) 7.3.50.20110722-4 (ROSA Linux release 2012.1)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/firefox...(no debugging symbols found)...done.
(gdb) r
Starting program: /usr/bin/firefox 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Detaching after fork from child process 16177.
[New Thread 0x7fffe2131700 (LWP 16179)]
[New Thread 0x7fffe0fff700 (LWP 16180)]
[New Thread 0x7fffe03ff700 (LWP 16181)]
[New Thread 0x7fffdf4d5700 (LWP 16182)]
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
[New Thread 0x7fffdead0700 (LWP 16183)]
[New Thread 0x7fffddecf700 (LWP 16184)]
[New Thread 0x7fffdd6ce700 (LWP 16185)]
[New Thread 0x7fffdc3ff700 (LWP 16186)]
[New Thread 0x7fffd1413700 (LWP 16187)]
[New Thread 0x7fffd0aff700 (LWP 16188)]
[New Thread 0x7fffcfaff700 (LWP 16189)]
Detaching after fork from child process 16190.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
[New Thread 0x7fffcd5ff700 (LWP 16191)]
[New Thread 0x7fffccaff700 (LWP 16192)]
[New Thread 0x7fffcbaff700 (LWP 16193)]
[New Thread 0x7fffcb0ff700 (LWP 16194)]
[New Thread 0x7fffca2d2700 (LWP 16195)]
[New Thread 0x7fffc9ad1700 (LWP 16196)]
[New Thread 0x7fffc878d700 (LWP 16197)]
[New Thread 0x7fffc7f8c700 (LWP 16198)]
[New Thread 0x7fffc69ff700 (LWP 16199)]
[Thread 0x7fffc878d700 (LWP 16197) exited]
[Thread 0x7fffcb0ff700 (LWP 16194) exited]
[Thread 0x7fffc69ff700 (LWP 16199) exited]
[Thread 0x7fffe03ff700 (LWP 16181) exited]
[Thread 0x7fffc7f8c700 (LWP 16198) exited]
[New Thread 0x7fffc7f8c700 (LWP 16200)]
[New Thread 0x7fffe03ff700 (LWP 16201)]
[Thread 0x7fffc9ad1700 (LWP 16196) exited]
[Thread 0x7fffcfaff700 (LWP 16189) exited]
[Thread 0x7fffd0aff700 (LWP 16188) exited]
[Thread 0x7fffe0fff700 (LWP 16180) exited]
[Thread 0x7fffdc3ff700 (LWP 16186) exited]
[Thread 0x7fffcbaff700 (LWP 16193) exited]
[Thread 0x7fffccaff700 (LWP 16192) exited]
[Thread 0x7fffe03ff700 (LWP 16201) exited]
[Thread 0x7fffc7f8c700 (LWP 16200) exited]
[Thread 0x7fffca2d2700 (LWP 16195) exited]
[Thread 0x7fffcd5ff700 (LWP 16191) exited]
[Thread 0x7fffdd6ce700 (LWP 16185) exited]
[Thread 0x7fffddecf700 (LWP 16184) exited]
[Thread 0x7fffdead0700 (LWP 16183) exited]
[Thread 0x7fffe2131700 (LWP 16179) exited]
[Thread 0x7fffdf4d5700 (LWP 16182) exited]
[Thread 0x7fffd1413700 (LWP 16187) exited]
[Inferior 1 (process 16174) exited normally]
(gdb)
==========